
From: NeilBrown <neilb@cse.unsw.edu.au>

We're insisting that the lock sequence id field passed in the
open_to_lockowner struct always be zero.  This is probably thanks to the
sentence in rfc3530: "The first request issued for any given lock_owner is
issued with a sequence number of zero."

But there doesn't seem to be any problem with allowing initial sequence
numbers other than zero.  And currently this is causing lock reclaims from the
Linux client to fail.

In the spirit of "be liberal in what you accept, conservative in what you
send", we'll relax the check (and patch the Linux client as well).

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/nfsd/nfs4state.c |    5 -----
 1 files changed, 5 deletions(-)

diff -puN fs/nfsd/nfs4state.c~nfsd4-relax-new-lock-seqid-check fs/nfsd/nfs4state.c
--- 25/fs/nfsd/nfs4state.c~nfsd4-relax-new-lock-seqid-check	Wed Jul  6 13:09:00 2005
+++ 25-akpm/fs/nfsd/nfs4state.c	Wed Jul  6 13:09:00 2005
@@ -2715,11 +2715,6 @@ nfsd4_lock(struct svc_rqst *rqstp, struc
 			goto out;
 		}
 
-		/* is the new lock seqid presented by the client zero? */
-		status = nfserr_bad_seqid;
-		if (lock->v.new.lock_seqid != 0)
-			goto out;
-
 		/* validate and update open stateid and open seqid */
 		status = nfs4_preprocess_seqid_op(current_fh, 
 				        lock->lk_new_open_seqid,
_
